<ion-header>
  <ion-toolbar>
    <ion-buttons slot='start'>
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>{{ 'servizi.dettaglio' | translate }}</ion-title>
    <!--    <ion-buttons slot="primary">
          <ion-button color="primary" (click)='openHelpModal()'>
            <ion-icon slot="icon-only" size="large" slot="end" name="help-outline" class="custom"> </ion-icon>
          </ion-button>
        </ion-buttons>-->
  </ion-toolbar>
</ion-header>
<ion-content fullscreen='true'>
  <ion-header collapse='condense'>
    <ion-toolbar class='custom-toolbar'>
      <ion-title size='large' color='dark'>
        <div class='toolbar-title'>{{services[0].name}}</div>
      </ion-title>
    </ion-toolbar>
  </ion-header>
  <div *ngFor='let service of services' class='ion-padding-horizontal ion-margin-vertical'>
    <ion-accordion-group>
      <ion-accordion value="0" *ngIf='service.description !== "" && service.description'>
        <ion-item slot="header">
          <ion-label><h1>{{ 'servizi.cos_e' | translate }}</h1></ion-label>
        </ion-item>
        <ion-list slot="content">
          <ion-item lines='none'>
            <ion-label class='ion-text-wrap' [innerHTML]='service.description | sanitizeHtml'></ion-label>
          </ion-item>
        </ion-list>
      </ion-accordion>
      <ion-accordion value="1" *ngIf='service.who !== "" && service.who'>
        <ion-item slot="header">
          <ion-label><h1>{{ 'servizi.a_chi_si_rivolge' | translate }}</h1></ion-label>
        </ion-item>
        <ion-list slot="content">
          <ion-item>
            <ion-label class='ion-text-wrap' [innerHTML]='service.who | sanitizeHtml'></ion-label>
          </ion-item>
        </ion-list>
      </ion-accordion>
      <ion-accordion *ngIf='service.coverage && service.coverage.length' aria-expanded='true' toggle-icon='false'>
        <ion-item slot="header">
          <ion-label class='ion-text-wrap'><h1>{{ 'servizi.copertura_geografica' | translate }}</h1>
            <ion-text>
              <ion-chip outline color="primary" *ngFor='let chip of service.coverage'>
                <ion-label>{{chip}}</ion-label>
              </ion-chip>
            </ion-text>
          </ion-label>
        </ion-item>
      </ion-accordion>
      <ion-accordion *ngIf='service.howto !== "" && service.howto'>
        <ion-item slot="content">
          <ion-label>
            <h1>{{ 'servizi.accedere_al_servizio' | translate }}</h1>
          </ion-label>
        </ion-item>
        <ion-list slot="content">
          <ion-item>
            <ion-label class='ion-text-wrap' [innerHTML]='service.howto | sanitizeHtml'></ion-label>
          </ion-item>
        </ion-list>
      </ion-accordion>
      <ion-accordion *ngIf='service.more_info !== "" && service.more_info'>
        <ion-item slot="header">
          <ion-label><h1>{{ 'servizi.maggiori_informazioni' | translate }}</h1></ion-label>
        </ion-item>
        <ion-list slot="content">
          <ion-item lines='none'>
            <ion-label class='ion-text-wrap' [innerHTML]='service.more_info | sanitizeHtml'></ion-label>
          </ion-item>
        </ion-list>
      </ion-accordion>
    </ion-accordion-group>
    <ion-list *ngIf='service.recipients && service.recipients.length' >
      <ion-item lines='none'>
        <ion-label class='ion-text-wrap'><h1>{{ 'servizi.destinatari' | translate }}</h1>
          <ion-text>
            <ion-chip outline color="primary" *ngFor='let chip of service.recipients'>
              <ion-label>{{chip}}</ion-label>
            </ion-chip>
          </ion-text>
        </ion-label>
      </ion-item>
    </ion-list>
  </div>
</ion-content>
<ion-footer *ngIf='services.length > 0'>
  <ion-button color='primary' size='large' class='ion-margin' *ngIf='services[0].status == 1'
              expand='block' (click)='openDetails("form",services[0])'>
    {{ 'servizi.accedi' | translate }}
  </ion-button>
  <ion-text  *ngIf='services[0].status == 4'> {{ 'common.attivo' | translate }} {{ 'common.dal' | translate }} {{services[0].scheduled_from | date : 'dd/MM/yyyy'}} {{ 'common.al' | translate }} {{services[0].scheduled_to | date : 'dd/MM/yyyy'}}</ion-text>
  <ion-button color='primary' size='large' class='ion-margin' *ngIf='services[0].status == 4'
              expand='block' (click)='openDetails("form",services[0])'>
    {{ 'servizi.accedi' | translate }}
  </ion-button>
  <ion-button color='primary' size='large' class='ion-margin' *ngIf='services[0].status == 2' [disabled]='true'
              expand='block'>
    {{ 'servizi.accedi' | translate }}
  </ion-button>
</ion-footer>
